#!/usr/bin/env bash

function assemble_env {

    IMAGE_NAME=docker2.yidian.com:5000/publish/${COMPONENT}-${COMMIT_NUMBER}-image

    docker build -t ${IMAGE_NAME} .

    RET=$?
    if [ $RET -ne 0 ];then
        echo "docker build failed"
        exit $RET
    fi
    echo "Push image to registry"
    docker push $IMAGE_NAME
    RET=$?
    if [ $RET -ne 0 ];then
        echo "docker push failed"
        exit $RET
    fi
}

#===========Main process begins===============================

DIST_FILE_NAME="Camel"

echo "Our commit job is "${COMMIT_JOB}
echo "Our commit number is "${COMMIT_NUMBER}

if [ "${DIST_FILE_NAME}" != "" ]; then
    lftp -e "mget ${DIST_FILE_NAME}.tar.gz;quit" -u worker,services sftp://dist.yidian-inc.com:22/home/worker/jenkins_output/${COMMIT_JOB}/${COMMIT_NUMBER}/
    if [ "$?" != "0" ]; then
        echo "[FATAL] Failed to download dist packages!"
        exit 1
    fi
fi

mkdir ${DIST_FILE_NAME}
tar zxf ${DIST_FILE_NAME}.tar.gz -C ${DIST_FILE_NAME}

if [ "${DOCKERFILE}" != "" ]; then
    cp ${DOCKERFILE} ./Dockerfile
fi

if [ "${COMPONENT}" = "" ]; then
    COMPONENT=`echo ${JOB_NAME} | awk -F '-assemble' '{print $1}' | awk -F '-commit' '{print $1}'`
fi

assemble_env
