const API_INTERNAL_URI = require('../config.js').API_INTERNAL_URI
const req = require('../utils/request').httpReq
const controller_utils = require('./utils')

//用户详情
exports.getUser_detail = async (ctx, next) => {
  var url = `${API_INTERNAL_URI}/merchant/authority/get_user_info`;
  var opts = {
    url: url,
    method: 'POST',
    json: true,
    timeout: 8000,
    body: ctx.request.body
  }
  ctx.body = await req(ctx, opts)
}
var query = {
  async get_permissions (ctx) {
    ctx.body = await controller_utils.getUserPermission(ctx);
  }
};


exports.query = async (ctx, next) => {
  var type = ctx.params.type;
  if (query[type]) {
    try {
      ctx.set("Content-Type", "application/json; charset=utf-8");
      await query[type](ctx, next);
    } catch (e) {
      console.error("/api/v1 error", e, ctx.url, ctx.headers["cookie"]);
      ctx.body = { status: "failed", reason: "Internal Server Error" };
    }
  } else {
    ctx.body = {
      status: "failed",
      reason: "Invalid type param"
    };
  }
};

exports.user_list = async (ctx, next) => {
  const url = `${API_INTERNAL_URI}/merchant/authority/get_user_list`;
  const opts = {
    url: url,
    method: "GET",
    qs: ctx.request.query,
  };
  ctx.body = await req(ctx, opts);
};

exports.user_detail = async (ctx, next) => {
  const url = `${API_INTERNAL_URI}/merchant/authority/get_user_info`;
  const opts = {
    url: url,
    method: "GET",
    qs: ctx.request.query,
  };
  ctx.body = await req(ctx, opts);
};

exports.user_edit = async (ctx, next) => {
  const url = `${API_INTERNAL_URI}/merchant/authority/update_user`;
  const opts = {
    url: url,
    method: "POST",
    json: true,
    body: ctx.request.body,
  };
  ctx.body = await req(ctx, opts);
};

exports.user_new = async (ctx, next) => {
  const url = `${API_INTERNAL_URI}/merchant/authority/add_user_role`;
  const opts = {
    url: url,
    method: "POST",
    json: true,
    body: ctx.request.body,
  };
  ctx.body = await req(ctx, opts);
};

