import { createStore } from "vuex";
import { getPermissions } from '@/service/user';
import { PERMISSIONNAME_PAGEMODULE } from '../config/pageconfig'

export default createStore({
  state: {
    permissions: null,
    userInfo: null

  },
  mutations: {
    updateUserPermission (state, payload) {
      state.permissions = payload;
    },
    updateUserInfo (state, payload) {
      state.userInfo = payload;
    }
  },
  actions: {
    async updateUserPermission ({ commit }, payload) {
      const { permissions = [] } = await getPermissions(payload.email);

      console.log("VUEX action updateUserPermission::", permissions);
      commit('updateUserPermission', permissions)
    }
  },
  modules: {},
  getters: {
    subPermissions: state => {
      const permissionCol = {};
      (state.permissions || []).forEach(element => {
        PERMISSIONNAME_PAGEMODULE[element.name] && (permissionCol[PERMISSIONNAME_PAGEMODULE[element.name]] = element.sub_permissions)
      });
      return permissionCol;
    },
    /**
     * 
     * @param {*} module 模块名，可选值： enterprise, lifeNo, role, user
     * @returns 
     */
    moduleSubPermissions: (state) => (module) => {
      const permissionCol = {};
      (state.permissions || []).forEach(element => {
        PERMISSIONNAME_PAGEMODULE[element.name] && (permissionCol[PERMISSIONNAME_PAGEMODULE[element.name]] = element.sub_permissions)
      });
      return permissionCol[module];
    }
  }
});
