const path = require('path');

const isDev = process.env.NODE_ENV === 'development';

module.exports = {
  outputDir: isDev
    ? './dist'
    : path.resolve('./public/dist/'),
  publicPath: isDev ? '/' : '/dist',
  configureWebpack: {
    devServer: {
      // proxy: {
      //   '/api': {
      //     target: 'http://localhost:8055',
      //     // pathRewrite: { '^/api': '/api/v1' },
      //     changeOrigin: true,
      //   },
      // },
      proxy: 'http://localhost:8055',
      hot: true,
      disableHostCheck: true,
    },
  },
  chainWebpack: config => {
    // 默认不开启 prefetch
    config.plugins.delete('prefetch');

    // 默认不开启 preload
    config.plugins.delete('preload');

    // 修改页面 title
    config.plugin('html').tap(args => {
      args[0].title = '运营管理系统';
      return args;
    });
  },
};
